<template>
  <div class="wrap-banner">
    <div class="main-title">
      <div class="flex-col items-center">
        <h1 class="text-gray-700 text-6xl text-center">
          Platzi Cripto Exchange
        </h1>
        <p class="text-gray-600 text-xl text-center my-5">
          Proyecto para obtener las cotizaciones de las cryptomonedas mas
          importantes a traves de la API REST de Coincap.
          <br />Este proyecto es utilizado en el curo de Vue.js Basico de Platzi
        </p>

        <!-- <router-link
      class="
        border-solid border-4 border-green-600 border-opacity-30
        rounded-full
        py-3
        px-6
        mt-5
        text-xl text-green-600
        hover:underline
      "
      to="/"
      >Volver a la página de Inicio</router-link
    > -->
        <v-card class="mx-auto" max-width="400">
          <v-img
            class="white--text align-end"
            height="300px"
            src="https://static.platzi.com/media/landing-projects/proyecto-vue-js-profesional.png"
          >
          </v-img>
          <v-card-title>Platzi Cripto Exchange</v-card-title>
          <v-card-subtitle class="pb-0"> Instruido por:</v-card-subtitle>

          <v-card-text class="text--primary">
            <div>Ignacio Anaya</div>

            <div>Clases del Curso Básico de Vue.js 2</div>
          </v-card-text>

          <v-card-actions>
            <v-btn
              style="color: orange"
              href="https://platzi.com/clases/vuejs2/"
              target="_blank"
              text
            >
              Curso
            </v-btn>

            <v-btn
              style="color: orange"
              href="https://gitlab.com/vue-js6/vue2-platzi-basico-ia/platzi-cripto-exchange"
              target="_blank"
              text
            >
              Repositorio
            </v-btn>
            <v-btn
              style="color: orange"
              href="https://www.youtube.com/watch?v=8q7mAVVwNgE"
              target="_blank"
              text
            >
              Youtube
            </v-btn>
          </v-card-actions>
        </v-card>
      </div>

      <v-expansion-panels class="mt-5">
        <v-expansion-panel>
          <v-expansion-panel-header> Comandos </v-expansion-panel-header>
          <v-expansion-panel-content>
            <ol>
              <li>- npm install vue-router</li>
              <li>- npm i @saeris/vue-spinners</li>
              <li>- vue add tailwind, seleccionar full</li>
              <li>- npm install numeral</li>
              <li>- npm install chart.js@2.9.4</li>
              <li>- npm i vue-chartkick@0.6.0</li>
              <li>- vue add vuetify</li>
              <li>- npm install vue-particles --save-dev</li>
            </ol>
          </v-expansion-panel-content>
        </v-expansion-panel>
        <v-expansion-panel>
          <v-expansion-panel-header> Api </v-expansion-panel-header>
          <v-expansion-panel-content>
            <div>
              🤖
              <a target="_blank" href="https://docs.coincap.io/"
                ><p style="color: #10b981; display: inline">
                  ApiCoincap
                </p></a
              >
            </div>
          </v-expansion-panel-content>
        </v-expansion-panel>

        <v-expansion-panel>
          <v-expansion-panel-header>
            Despliegue netlify
          </v-expansion-panel-header>
          <v-expansion-panel-content>
            <v-card-text class="text--primary">
              <div>
                🚀 Link para ver el proyecto desplegado:
                <a
                  target="_blank"
                  href="https://cripto-exchange-jv.netlify.app/"
                  ><p style="color: #10b981; display: inline">
                    PlatziCriptoExchange
                  </p></a
                >
              </div>

              <div>
                Luego del proceso de vincular con Gital, debemos colocar esto en
                el paso 3 del despliegue:
              </div>
              <div>- Build command `npm run build`</div>
              <div>- Publish directory `dist`</div>
              <div>
                Se desplegara al instante, pero si tienes problemas como yo, que
                carga la primera vista,
              </div>
              <div>
                pero no carga otras vistas por ejemplo `/about /coin/:id o la
                vista de error` y te aparece
              </div>
              <div>un modal con un mensaje de: Page Not Found, entonces:</div>
              <div>
                Crea un archivo _redirects dentro de /public, y colocas lo
                siguiente dentro:
              </div>
              <div>/* /index.html 200</div>
            </v-card-text>
          </v-expansion-panel-content>
        </v-expansion-panel>
      </v-expansion-panels>
    </div>

    <vue-particles
      color="#dedede"
      :particleOpacity="0.7"
      :particlesNumber="80"
      shapeType="circle"
      :particleSize="4"
      linesColor="#dedede"
      :linesWidth="1"
      :lineLinked="true"
      :lineOpacity="0.4"
      :linesDistance="150"
      :moveSpeed="3"
      :hoverEffect="true"
      hoverMode="grab"
      :clickEffect="true"
      clickMode="push"
      style="position: absolute; height: 120vh; width: 100vw"
    >
    </vue-particles>
  </div>
</template>

<style>
.wrap-banner {
  position: relative;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  display: -webkit-flex;
  display: flex;
  height: 100%;
  justify-content: center;
}
.main-title {
  z-index: 999;
}
</style>
